<!DOCTYPE html>
<html>
<head>
	<title>月份坐标轴</title>
	<meta type="Content-type" content="text/css;charset=utf-8"/>
</head>
<body>
	<canvas id="drawing" width="800" height="200"></canvas>
	<script type="text/javascript">
		var arr=new Array();
		var _min=5,_max=50;
		function checkArr(arr,min,max){
			/*
			sort
			：给数组排序
			 */ 
			arr.sort(function(n1,n2){
				return n1.min-n1.min;
			});
			for(var i=0;i<arr.length;i++){
				if(arr[i].min>=arr[i]max){
					console.log("区间的最小值不能大于区间的最小值");
					return;
				} 
				if(arr[i].min<min){
					console.log("区间的最小值不能小于默认的最小值");
					return;
				}
				if(arr[i].max>max){
					console.log("区间的最大值不能小于默认的最大值");
					return;
				}
				if(i>0){
					if(arr[i].minIncude&&arr[i-1].maxInclude&&arr[i].min-arr[i-1].max!==1){
						console.log("取值范围错误1");
						return ;
					}else if(arr[i].minIncude!==arr[i-1].maxInclude&&arr[i].min!==arr[i-1].max){
						console.log("取值范围错误2");
						return ;
					}else if((!arr[i].minIncude)&&(!arr[i-1].maxInclude)){
						console.log("取值范围错误3");
						return ;
					}
				}
			}
		};
	</script>
</body>
</html>